ProcFileMirror (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class ProcFileMirror

    java.lang.Object
      org.hyperic.sigar.FileWatcher
          org.hyperic.sigar.ProcFileMirror

    public class ProcFileMirror

extends FileWatcher

Constructor Summary
`ProcFileMirror(Sigar sigar, java.lang.String proc)`

Method Summary
`FileInfo` | `add(java.lang.String name)`
`protected boolean` | `changed(FileInfo info)`
`long` | `getExpireMillis()`
`java.lang.String` | `getProcFile(java.io.File file)`
`java.lang.String` | `getProcFile(java.lang.String file)`
`void` | `onChange(FileInfo info)`
`void` | `setExpire(long seconds)`
`void` | `setExpireMillis(long millis)`

Methods inherited from class org.hyperic.sigar.FileWatcher
`add, add, add, check, clear, getFiles, getInterval, onException, onNotFound, remove, remove, setInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcFileMirror

    public ProcFileMirror(Sigar sigar,
                          java.lang.String proc)

Method Detail

### getExpireMillis

    public long getExpireMillis()

### setExpire

    public void setExpire(long seconds)

### setExpireMillis

    public void setExpireMillis(long millis)

### getProcFile

    public java.lang.String getProcFile(java.io.File file)

### getProcFile

    public java.lang.String getProcFile(java.lang.String file)

### add

    public FileInfo add(java.lang.String name)
                 throws SigarException

  Overrides:
    `add` in class `FileWatcher`
  Throws:
    `SigarException`

### onChange

    public void onChange(FileInfo info)

  Specified by:
    `onChange` in class `FileWatcher`

### changed

    protected boolean changed(FileInfo info)
                       throws SigarException,
                              SigarFileNotFoundException

  Overrides:
    `changed` in class `FileWatcher`
  Throws:
    `SigarException`
    `SigarFileNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.